## beanbag-docutils 2.4

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/beanbag-docutils.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/beanbag-docutils.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/beanbag-docutils"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/beanbag-docutils"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

## beanbag-docutils 2.1

=== debian/changelog ===
beanbag-docutils (2.1-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Thu, 16 Feb 2023 10:50:10 +0000

beanbag-docutils (2.0-3) unstable; urgency=medium

  * d/watch: Upstream uses github tag names that start with 'release'.

 -- Edward Betts <edward@4angle.com>  Sat, 22 Oct 2022 21:32:59 +0100

beanbag-docutils (2.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Thu, 29 Sep 2022 11:23:23 +0100

beanbag-docutils (2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1019049)

 -- Edward Betts <edward@4angle.com>  Fri, 09 Sep 2022 12:48:26 +0100

=== debian/control ===
Source: beanbag-docutils
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               python3-all,
               python3-django <!nocheck>,
               python3-kgb <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-testing <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/beanbaginc/beanbag-docutils
Vcs-Browser: https://salsa.debian.org/python-team/packages/beanbag-docutils
Vcs-Git: https://salsa.debian.org/python-team/packages/beanbag-docutils.git

Package: python3-beanbag-docutils
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Sphinx utility modules for Beanbag's documentation format
 This is a collection of utilities to help with generating documentation for
 Beanbag-related products.

## beanbag-docutils 2.2

=== debian/changelog ===
beanbag-docutils (2.2-1) unstable; urgency=medium

  * New upstream release.
  * Add new Build-Depends on python3-sphinxcontrib.serializinghtml.

 -- Edward Betts <edward@4angle.com>  Wed, 21 Jun 2023 12:38:43 +0100

beanbag-docutils (2.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 17 Mar 2023 17:13:19 +0100

## beanbag-docutils 2.3

=== debian/changelog ===
beanbag-docutils (2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 18 Oct 2023 11:47:05 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
                python3-pytest <!nocheck>,
                python3-setuptools,
                python3-sphinx,
-               python3-sphinx-testing <!nocheck>
+               python3-sphinx-testing <!nocheck>,
+               python3-sphinxcontrib.serializinghtml <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://github.com/beanbaginc/beanbag-docutils

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=beanbag-docutils
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=-x

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf beanbag_docutils.egg-info/ docs/_build docs/coderef/modules

override_dh_auto_build:
	dh_auto_build $@ --buildsystem=pybuild
	cd docs; LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees . _build/html

## beanbag-docutils 2.4

=== debian/changelog ===
beanbag-docutils (2.4-3) unstable; urgency=medium

  * Skip failing test `test_extlink_with_anchor`. Closes (#1073437)
  * Set CRYPTOGRAPHY_OPENSSL_NO_LEGACY=1 for tests.
  * Move packages required for tests to Build-Depends-Indep.
  * Patch beanbag_docutils.sphinx.ext.tests.testcase to read test theme from
    current directory, to allow autopkgtest.

 -- Edward Betts <edward@4angle.com>  Sun, 18 Aug 2024 06:00:08 +0100

beanbag-docutils (2.4-2) unstable; urgency=medium

  * Drop python3-six Build-Depends.

 -- Edward Betts <edward@4angle.com>  Wed, 17 Jul 2024 04:23:12 +0900

beanbag-docutils (2.4-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Tue, 16 Jul 2024 16:30:11 +0900

beanbag-docutils (2.3-2) unstable; urgency=medium

  * Add Build-Depends on python3-six. (Closes: #1073437)
  * Update Standards-Version.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Sun, 30 Jun 2024 08:45:58 +0100

=== debian/control ===
Source: beanbag-docutils
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-django <!nocheck>,
 python3-kgb <!nocheck>,
 python3-pytest <!nocheck>,
 python3-sphinx,
 python3-sphinx-testing <!nocheck>,
 python3-sphinxcontrib.serializinghtml <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/beanbaginc/beanbag-docutils
Vcs-Browser: https://salsa.debian.org/python-team/packages/beanbag-docutils
Vcs-Git: https://salsa.debian.org/python-team/packages/beanbag-docutils.git

Package: python3-beanbag-docutils
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: Sphinx utility modules for Beanbag's documentation format
 This is a collection of utilities to help with generating documentation for
 Beanbag-related products.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,8 @@
 
 export PYBUILD_NAME=beanbag-docutils
 export PYBUILD_TEST_PYTEST=1
-export PYBUILD_TEST_ARGS=-x
+export PYBUILD_TEST_ARGS=-x -k "not test_extlink_with_anchor"
+export CRYPTOGRAPHY_OPENSSL_NO_LEGACY=1
 
 %:
 	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests: run-tests
Depends:
 python3-all,
 python3-django,
 python3-kgb,
 python3-pytest,
 python3-sphinx-testing,
 python3-sphinxcontrib.serializinghtml,
 @,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/release-(\d\S+)\.tar\.gz/beanbag-docutils-$1\.tar\.gz/ \
  https://github.com/beanbaginc/beanbag-docutils/tags .*/release-(\d\S+)\.tar\.gz
